## kde-config-systemd 1.1.0+git20150330

=== CMakeLists.txt ===
project(kcmsystemd)
set(KCM_SYSTEMD_VERSION_MAJOR "1")
set(KCM_SYSTEMD_VERSION_MINOR "1")
set(KCM_SYSTEMD_VERSION_PATCH "0")
set(KCM_SYSTEMD_VERSION "${KCM_SYSTEMD_VERSION_MAJOR}.${KCM_SYSTEMD_VERSION_MINOR}.${KCM_SYSTEMD_VERSION_PATCH}")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# Silence a warning
cmake_policy(SET CMP0037 OLD)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 5.0.0 CONFIG REQUIRED COMPONENTS
             Widgets
             DBus)

find_package(KF5 REQUIRED COMPONENTS
             CoreAddons
             WidgetsAddons
             ConfigWidgets
             I18n
             Service
             Auth)

message(STATUS "Searching for libsystemd...")
find_library(SYSTEMD_FOUND NAMES systemd)
if(SYSTEMD_FOUND)
  message(STATUS "Found at: " ${SYSTEMD_FOUND})
else(SYSTEMD_FOUND)
  message(FATAL_ERROR "Unable to find libsystemd. Configuration failed!")
endif(SYSTEMD_FOUND)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(CheckIncludeFiles)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions")

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

add_definitions(-DTRANSLATION_DOMAIN=\"kcmsystemd\")

add_subdirectory(other)
add_subdirectory(src)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kde-config-systemd (1.1.0+git20150330-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot for kf5 port

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Mar 2015 16:47:39 +0200

kde-config-systemd (0.7.0-1) experimental; urgency=low

  * Initial release (Closes: #773617)  

 -- Shawn Sörbom <shawn@sorbom.com>  Mon, 29 Dec 2014 00:03:06 -0800

=== debian/control ===
Source: kde-config-systemd
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Shawn Sörbom <shawn@sorbom.com>
Build-Depends: cmake,
               debhelper (>= 9),
	       extra-cmake-modules,
               libboost-chrono-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libkf5auth-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libsystemd-dev,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/rthomsen/kcmsystemd
Vcs-Git: https://github.com/shsorbom/kcmsystemd-debian.git
Vcs-Browser: https://github.com/shsorbom/kcmsystemd-debian.git

Package: kde-config-systemd
Architecture: any
Depends: systemd (>= 215), ${misc:Depends}, ${shlibs:Depends}
Description: KDE control center module for Systemd
 This package is a Plasma System Settings module for the systemd
 daemon.  It is capable of starting and stopping systemd units.
 .
 In addition, it allows for the configuration of several systemd
 parameters.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
%:
	dh $@

=== debian/watch ===
version=3
https://github.com/rthomsen/kcmsystemd//releases .*/(?:kcmsystemd-)?(\d\S+)\.tar\.(?:bz2|gz|xz)

## kde-config-systemd 1.2.0

=== debian/changelog ===
kde-config-systemd (1.2.0-0ubuntu2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:53:59 +0000

kde-config-systemd (1.2.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Update watch file
  * Change debian/rules to use qt-kde-team/3/debian-qt-kde.mk (LP: #1452408)
  * Add build depends:
    - pkg-kde-tools
    - pkg-config
    - systemd

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 06 Jul 2015 19:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Shawn Sörbom <shawn@sorbom.com>
 Build-Depends: cmake,
                debhelper (>= 9),
-	       extra-cmake-modules,
+               extra-cmake-modules,
                libboost-chrono-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -17,7 +17,10 @@
                libkf5service-dev,
                libkf5widgetsaddons-dev,
                libsystemd-dev,
-               qtbase5-dev
+               pkg-config,
+               pkg-kde-tools,
+               qtbase5-dev,
+               systemd
 Standards-Version: 3.9.6
 Homepage: https://github.com/rthomsen/kcmsystemd
 Vcs-Git: https://github.com/shsorbom/kcmsystemd-debian.git

## kde-config-systemd 1.2.1

=== CMakeLists.txt ===
project(SYSTEMD-KCM)
set(PROJECT_VERSION "1.2.1")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0")
set(KF5_MIN_VERSION "5.1.0")

# Silence a warning
cmake_policy(SET CMP0037 OLD)

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
             Widgets
             DBus)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
             Auth
             ConfigWidgets
             CoreAddons
             Crash
             I18n
             KIO
             WidgetsAddons)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SYSTEMD "systemd" REQUIRED)

if(SYSTEMD_FOUND)
  # libsystemd-journal was merged into libsystemd in 209
  if(${SYSTEMD_VERSION} VERSION_LESS 209)
    pkg_check_modules(JOURNALD "libsystemd-journal" REQUIRED)
  else()
    pkg_check_modules(JOURNALD "libsystemd" REQUIRED)
  endif()
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions")
# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

add_definitions(-DTRANSLATION_DOMAIN=\"systemd-kcm\")

add_subdirectory(other)
add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== other/CMakeLists.txt ===
install(FILES kcm_systemd.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
install(FILES settings-system-administration.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

=== src/CMakeLists.txt ===
add_subdirectory(helper)

set(kcmsystemd_SRCS kcmsystemd.cpp
                    unitmodel.cpp
                    sortfilterunitmodel.cpp
                    confoption.cpp
                    confmodel.cpp
                    confdelegate.cpp
                    confparms.cpp
                    fsutil.cpp)

# Testing for C++0x/C++11 features
include (CheckCxxFeatures)
cxx_check_feature ("c++11" "std-chrono" "none" HAVE_CXX11_CHRONO "${ADDITIONAL_DEFINITIONS}")

# Fall back to boost::chrono if std::chrono feature detection failed
if (NOT HAVE_CXX11_CHRONO)
  message (WARNING "Your C++ compiler does not support std::chrono properly, using boost::chrono instead.")
  find_package(Boost 1.45.0 COMPONENTS chrono system REQUIRED)
endif ()

configure_file (kcm-systemd-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/kcm-systemd-features.h)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

ki18n_wrap_ui(kcmsystemd_SRCS ../ui/kcmsystemd.ui)

add_library(kcm_systemd MODULE ${kcmsystemd_SRCS})
target_link_libraries(kcm_systemd
                      KF5::Auth
                      KF5::ConfigWidgets
                      KF5::CoreAddons
                      KF5::Crash
                      KF5::I18n
                      KF5::KIOCore
                      KF5::WidgetsAddons
                      ${Boost_LIBRARIES}
                      ${JOURNALD_LIBRARIES})
install(TARGETS kcm_systemd DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

qt5_use_modules(kcm_systemd Widgets DBus)

=== src/helper/CMakeLists.txt ===
# Build & Link
add_executable(kcmsystemdhelper helper.cpp)
target_link_libraries(kcmsystemdhelper Qt5::DBus KF5::Auth)

# Install
install(TARGETS kcmsystemdhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kcmsystemdhelper org.kde.kcontrol.kcmsystemd root)
kauth_install_actions(org.kde.kcontrol.kcmsystemd kcmsystemd.actions)

=== debian/changelog ===
kde-config-systemd (1.2.1-3ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:40 +0000

kde-config-systemd (1.2.1-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use qt-kde-team/3/debian-qt-kde.mk.
    - debian/watch:
      + Updated.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Dec 2015 00:42:16 +0100

kde-config-systemd (1.2.1-3) unstable; urgency=medium

  * Add systemd to build dependencies (Closes: #799593)

 -- Shawn Sörbom <shawn@sorbom.com>  Mon, 28 Sep 2015 12:54:20 -0700

kde-config-systemd (1.2.1-2) unstable; urgency=medium

  * Fix dh_auto_configure rule to work on non-amd64 architectures
  * Only build on Linux-based architectures

 -- Shawn Sörbom <shawn@sorbom.com>  Sun, 23 Aug 2015 11:38:12 -0700

kde-config-systemd (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian control file to innclude new KF5 dependencies
  * Update debian copyright to comply with upstream license change 
  * Add new contributor in debian copyright
  * Change links to refer to new ustream site
  * Update debian/rules to account for the change in qt5 plugin path
  * Upload to unstable
  * Add kde-pkg-tools to dependencies
  * Drop libboost dependencies

 -- Shawn Sörbom <shawn@sorbom.com>  Fri, 14 Aug 2015 15:03:49 -0700

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@ --with=kde

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

override_dh_install:
	dh_install --list-missing --fail-missing

=== debian/watch ===
version=3

http://download.kde.org/stable/systemd-kcm/systemd-kcm-([\d.]+).tar.xz
